Bug 706934 - Review Request: rubygem-rspec-rails - RSpec-2 for Rails-3
Summary: Review Request: rubygem-rspec-rails - RSpec-2 for Rails-3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lalancette
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 706914 708793
Blocks: 705546
TreeView+ depends on / blocked
 
Reported: 2011-05-23 14:18 UTC by Vít Ondruch
Modified: 2011-07-22 08:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-22 08:52:59 UTC
Type: ---
clalance: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vít Ondruch 2011-05-23 14:18:12 UTC
Spec URL: http://people.redhat.com/vondruch/rubygem-rspec-rails.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-rspec-rails-2.6.0-1.fc16.src.rpm
Description: RSpec-2 support for Rails-3

Comment 1 Vít Ondruch 2011-05-23 14:26:27 UTC
Please note that the package is currently FTBFS due to error related to RubyGems.

Comment 2 Vít Ondruch 2011-05-24 08:01:37 UTC
(In reply to comment #1)
> Please note that the package is currently FTBFS due to error related to
> RubyGems.

It seems that the build issue should fixed ass soon as the new RubyGems update hit the Rawhide repository.

Comment 3 Vít Ondruch 2011-06-07 08:25:12 UTC
It seems that the build is broken again by another issue (#708793) :/

Comment 4 Marcela Mašláňová 2011-06-13 13:20:00 UTC
- rpmlint OK
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build ?
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

Otherwise package looks good. Let's wait for fix of bug blocking this review.

Comment 5 Vít Ondruch 2011-06-22 08:02:47 UTC
I have updated the package to the latest upstream version. Koji builds fine now.

Spec URL: http://people.redhat.com/vondruch/rubygem-rspec-rails.spec
SRPM URL:
http://people.redhat.com/vondruch/rubygem-rspec-rails-2.6.1-1.fc16.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3152085

Comment 6 Chris Lalancette 2011-06-29 13:24:20 UTC
Looks like things are good here now.  Marcela, thanks for the review.  I'm going to set the fedora-review+ flag so we can get this imported.

Thanks,
Chris Lalancette

Comment 7 Marcela Mašláňová 2011-06-30 08:21:13 UTC
It was build, so it's APPROVED

Chris,
there is plenty of rubygems, which need whole review, so don't take those, which are almost done. Thank you.

Comment 8 Vít Ondruch 2011-06-30 08:29:53 UTC
Thank you both! :)



New Package SCM Request
=======================
Package Name: rubygem-rspec-rails
Short Description: RSpec-2 for Rails-3
Owners: vondruch

Comment 9 Gwyn Ciesla 2011-06-30 11:54:01 UTC
Git done (by process-git-requests).

Comment 10 Mo Morsi 2011-07-20 14:13:29 UTC
Looks like the push to git has been done but the koji build failed and thus this is still not available in rawhide. Any thoughts as to the problem?

http://koji.fedoraproject.org/koji/buildinfo?buildID=251113

Comment 11 Chris Lalancette 2011-07-20 14:58:08 UTC
I think the problem had something to do with an outdated railties.  I'll give it another whirl and see what the errors are.

Comment 12 Chris Lalancette 2011-07-20 15:07:22 UTC
Right, here's the problem (from root.log):

DEBUG util.py:250:   --> rubygems-1.8.5-2.fc16.noarch
DEBUG util.py:250:   --> ruby-libs-1.8.7.352-1.fc16.x86_64
DEBUG util.py:250:   --> rubygem-rspec-core-2.6.4-1.fc16.noarch
DEBUG util.py:250:   --> rubygem-rspec-core-2.6.4-1.fc16.noarch
DEBUG util.py:250:   --> 1:rubygem-rails-3.0.5-2.fc16.noarch
DEBUG util.py:250:   --> 1:rubygem-rails-3.0.5-2.fc16.noarch
DEBUG util.py:250:   --> rubygem-sqlite3-1.3.3-5.fc16.x86_64
DEBUG util.py:250:  Error: Package: 1:rubygem-rails-3.0.5-2.fc16.noarch (fedora)
DEBUG util.py:250:             Requires: rubygem(railties) = 3.0.5
DEBUG util.py:250:             Available: rubygem-railties-3.0.9-1.fc16.noarch (fedora)
DEBUG util.py:250:                 rubygem(railties) = 3.0.9
DEBUG util.py:250:   You could try using --skip-broken to work around the problem
DEBUG util.py:250:   You could try running: rpm -Va --nofiles --nodigest

The problem is that the updated railties is built, but it needs the updated rails which is not.  Now that the new rubygem-rdoc is in, hopefully we can get rails 3.0.9 built, and then we can build this.

Comment 13 Vít Ondruch 2011-07-22 08:52:59 UTC
Rails were fixed and Mo built the package, so it should be already in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.